Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MoveNextMultiple Method
Cursor Class See Also Send Feedback

If the cursor is not yet initialized, MoveNextMultiple is identical to MoveFirstMultiple()()(). Otherwise, move the cursor to the next key/data pair of the database, and store that pair and as many duplicate data items that can fit in a buffer the size of one database page in CurrentMultiple. In the presence of duplicate key values, the value of CurrentMultiple.Key may not change.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public bool MoveNextMultiple()

Visual Basic (Declaration)
    Public Function MoveNextMultiple As Boolean

Visual C++
    public:
    bool MoveNextMultiple()

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

Cursor Class
MoveNextMultiple Overload
BerkeleyDB Namespace